Page MenuHomePhabricator

Configuration for Asia Cache DC hosts
Closed, ResolvedPublic

Description

Puppet, conftool, etc for: cache nodes, LVS nodes, misc support roles

Event Timeline

BBlack created this task.Jan 23 2017, 5:26 PM
Restricted Application added a project: Operations. · View Herald TranscriptJan 23 2017, 5:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
BBlack moved this task from Triage to Asia Cache DC on the Traffic board.Jan 23 2017, 5:38 PM
Ottomata triaged this task as Normal priority.Mar 6 2017, 7:44 PM
revi added a subscriber: revi.Apr 30 2017, 1:47 PM

Change 389739 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/dns@master] eqsin DNS for hosts, services, geodns

https://gerrit.wikimedia.org/r/389739

Change 389741 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: basics

https://gerrit.wikimedia.org/r/389741

Change 389739 merged by BBlack:
[operations/dns@master] eqsin DNS for hosts, services, geodns

https://gerrit.wikimedia.org/r/389739

Change 389741 merged by BBlack:
[operations/puppet@production] eqsin: basics

https://gerrit.wikimedia.org/r/389741

Volans added a subscriber: Volans.Dec 13 2017, 10:40 AM

I just noticed that in late_command.sh we have a special case for cp[1234]* that I guess will need to be updated to include eqsin too.
Mentioning it here because it's not a common place to look for and might be missed.

Change 399817 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: a few more basic puppetization fixups

https://gerrit.wikimedia.org/r/399817

Change 399817 merged by BBlack:
[operations/puppet@production] eqsin: a few more basic puppetization fixups

https://gerrit.wikimedia.org/r/399817

Change 392639 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: deeper configuration details

https://gerrit.wikimedia.org/r/392639

Change 392639 merged by BBlack:
[operations/puppet@production] eqsin: deeper configuration details

https://gerrit.wikimedia.org/r/392639

Change 408934 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] dhcp bootstrap for bast5001

https://gerrit.wikimedia.org/r/408934

Change 408934 merged by BBlack:
[operations/puppet@production] dhcp bootstrap for bast5001

https://gerrit.wikimedia.org/r/408934

Change 408942 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: add prometheus placeholder files

https://gerrit.wikimedia.org/r/408942

Change 408942 merged by BBlack:
[operations/puppet@production] eqsin: add prometheus placeholder files

https://gerrit.wikimedia.org/r/408942

Change 408949 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: netops monitoring defs

https://gerrit.wikimedia.org/r/408949

Change 408949 merged by BBlack:
[operations/puppet@production] eqsin: netops monitoring defs

https://gerrit.wikimedia.org/r/408949

Change 408952 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: smokeping config

https://gerrit.wikimedia.org/r/408952

Change 408952 merged by BBlack:
[operations/puppet@production] eqsin: smokeping config

https://gerrit.wikimedia.org/r/408952

Copying from earlier commitlog commentary, known list of TODOs here (minus what's already been done since above):

* hieradata/common/cache/*.yaml: eqsin node lists commented-out
  and empty to avoid ipsec alerts until the day we bring these
  online (also makes varnish not work in general).
* dns5xxx: spare::server, missing lvs+ntp-level site config (same
  as ulsfo, need to fix both)
* Subnet defs for DHCP in dhcpd.conf and
  modules/install_server/files/autoinstall/subnets/*eqsin*
  currently in a bootstrapping state for bast5001, probably need
  fixups after that host is installed (to use it) as well as
  recdns/ntp-related fixups once dns500[12] are configured
  correctly above.
* Specific per-host entries for DHCP w/ macaddrs
* External monitoring stuff in:
  modules/lvs/manifests/monitor_services.pp
* ripe-atlas stuff at the bottom of:
  modules/netops/manifests/monitoring.pp
* LVS text/upload monitoring commented-out in:
  hieradata/common/lvs/configuration.yaml
* Rancid stuff in modules/rancid/files/core/router.db
* Reqstats graphite alerts in:
  modules/role/manifests/graphite/alerts/reqstats.pp

Change 409134 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: switch TFTP to bast5001

https://gerrit.wikimedia.org/r/409134

Change 409135 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: lvs+dns configuration bits

https://gerrit.wikimedia.org/r/409135

Change 409134 merged by BBlack:
[operations/puppet@production] eqsin: switch TFTP to bast5001

https://gerrit.wikimedia.org/r/409134

Change 409135 merged by BBlack:
[operations/puppet@production] eqsin: lvs+dns configuration bits

https://gerrit.wikimedia.org/r/409135

Change 409142 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: bugfix lvs iface list T156027

https://gerrit.wikimedia.org/r/409142

Change 409142 merged by BBlack:
[operations/puppet@production] eqsin: bugfix lvs iface list T156027

https://gerrit.wikimedia.org/r/409142

Change 409202 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] dns5001 macaddr

https://gerrit.wikimedia.org/r/409202

Change 409203 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: use local NTP, define peers

https://gerrit.wikimedia.org/r/409203

Change 409202 merged by BBlack:
[operations/puppet@production] dns5001 macaddr

https://gerrit.wikimedia.org/r/409202

Change 409203 merged by BBlack:
[operations/puppet@production] eqsin: use local NTP, define peers

https://gerrit.wikimedia.org/r/409203

Change 409999 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: use LVS recdns for normal hosts/installer

https://gerrit.wikimedia.org/r/409999

Change 409999 merged by BBlack:
[operations/puppet@production] eqsin: use LVS recdns for normal hosts/installer

https://gerrit.wikimedia.org/r/409999

Change 410102 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] cp50xx macaddrs

https://gerrit.wikimedia.org/r/410102

Change 410102 merged by BBlack:
[operations/puppet@production] cp50xx macaddrs

https://gerrit.wikimedia.org/r/410102

Change 410113 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/mediawiki-config@master] wgSquidServersNoPurge: add eqsin, remove dead IP

https://gerrit.wikimedia.org/r/410113

Change 410113 merged by jenkins-bot:
[operations/mediawiki-config@master] wgSquidServersNoPurge: add eqsin, remove dead IP

https://gerrit.wikimedia.org/r/410113

Mentioned in SAL (#wikimedia-operations) [2018-02-14T14:14:42Z] <zfilipin@tin> Synchronized wmf-config/reverse-proxy.php: SWAT: [[gerrit:410113|wgSquidServersNoPurge: add eqsin, remove dead IP (T156027)]] (duration: 01m 12s)

Remaining known stuff, paring down the earlier list:

* hieradata/common/cache/*.yaml: cp5006 + cp5010 commented out (borked)
* External monitoring stuff in:
  modules/lvs/manifests/monitor_services.pp
* ripe-atlas stuff at the bottom of:
  modules/netops/manifests/monitoring.pp
* LVS text/upload monitoring commented-out in:
  hieradata/common/lvs/configuration.yaml
* Rancid stuff in modules/rancid/files/core/router.db
* Reqstats graphite alerts in:
  modules/role/manifests/graphite/alerts/reqstats.pp

Change 410451 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: add bast5001 to network::constants

https://gerrit.wikimedia.org/r/410451

Change 410451 merged by BBlack:
[operations/puppet@production] eqsin: add bast5001 to network::constants

https://gerrit.wikimedia.org/r/410451

Change 412921 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: configure cache storage correctly

https://gerrit.wikimedia.org/r/412921

Change 412921 merged by BBlack:
[operations/puppet@production] eqsin: configure cache storage correctly

https://gerrit.wikimedia.org/r/412921

Change 416633 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: add dns5002 macaddr

https://gerrit.wikimedia.org/r/416633

Change 416633 merged by BBlack:
[operations/puppet@production] eqsin: add dns5002 macaddr

https://gerrit.wikimedia.org/r/416633

Change 417266 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/dns@master] eqsin: set the real IPs in geo-dns config

https://gerrit.wikimedia.org/r/417266

Change 417267 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] eqsin: configure public endpoints monitoring

https://gerrit.wikimedia.org/r/417267

Change 417266 merged by BBlack:
[operations/dns@master] eqsin: set the real IPs in geo-dns config

https://gerrit.wikimedia.org/r/417266

Change 417267 merged by BBlack:
[operations/puppet@production] eqsin: configure public endpoints monitoring

https://gerrit.wikimedia.org/r/417267

BBlack closed this task as Resolved.Mar 8 2018, 2:48 PM
BBlack claimed this task.

With the last merges above, all the known issues that actually belong here are resolved other than 3 cases from the previous list which are now exported to other more-appropriate tickets in T187157#4035174 , T162684#4035182 , and T179042#4035164 .